import request from '../index'
const prefix = 'resource/supplier'

export function getSupplierInfoList(data: any) {
  return request({
    url: `${prefix}/approval/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 保存至草稿箱
export function saveSupplierBasic(data: object) {
  return request({
    url: `${prefix}/save`,
    method: 'post',
    data,
  })
}

// 提交流程
export function submitSupplierBasic(data: object) {
  return request({
    url: `${prefix}/submit`,
    method: 'post',
    data,
  })
}

// 草稿箱编辑（不走流程审批）
export function updateSupplierBasic(data: object) {
  return request({
    url: `${prefix}/draftUpdate`,
    method: 'post',
    data,
  })
}

// 未通过供方编辑（重走流程审批）
export function failUpdateSupplierBasic(data: object) {
  return request({
    url: `${prefix}/failUpdate`,
    method: 'post',
    data,
  })
}

// 删除草稿箱 删除供方也调用该方法
export function draftDelete(data: object) {
  return request({
    url: `${prefix}/draftDelete`,
    method: 'post',
    data,
  })
}

// 发起者撤回，表单状态更改为已取消
export function revokeApproval(data: object) {
  return request({
    url: `${prefix}/approval/revoke`,
    method: 'post',
    data,
  })
}

// 供方名录审批-拒绝
export function refuseApproval(data: object) {
  return request({
    url: `${prefix}/approval/refuse`,
    method: 'post',
    data,
  })
}

// 查询供方人员列表（分页）
export function getSupplierStaffList(data: any) {
  return request({
    url: `${prefix}/person/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 供方人员新增
export function addSupplierStaff(data: object) {
  return request({
    url: `${prefix}/person/add`,
    method: 'post',
    data,
  })
}

// 供方人员编辑
export function updateSupplierStaff(data: object) {
  return request({
    url: `${prefix}/person/update`,
    method: 'post',
    data,
  })
}

// 供方人员删除
export function deleteSupplierStaff(data: object) {
  return request({
    url: `${prefix}/person/delete`,
    method: 'post',
    data,
  })
}
